SDL_SetWindowTitle(3)

NAME
SDL_SetWindowTitle - Set the title of a window.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowTitle(SDL_Window *window, const char *title);

DESCRIPTION
This string is expected to be in UTF-8 encoding.

FUNCTION PARAMETERS

window
    the window to change.

title
    the desired window title in UTF-8 format.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowTitle(3)